Loading...
Searching...
No Matches
sdbus::signature_of< _Enum, typename std::enable_if_t< std::is_enum_v< _Enum > &&!std::is_const_v< _Enum > &&!std::is_volatile_v< _Enum > > > Struct Template Reference
Inheritance diagram for sdbus::signature_of< _Enum, typename std::enable_if_t< std::is_enum_v< _Enum > &&!std::is_const_v< _Enum > &&!std::is_volatile_v< _Enum > > >:

## Static Public Attributes

static constexpr bool | is_valid
static constexpr bool | is_trivial_dbus_type
static constexpr void * | value
Static Public Attributes inherited from sdbus::signature_of< std::underlying_type_t< _Enum > >
static constexpr bool | is_valid
static constexpr bool | is_trivial_dbus_type
static constexpr void * | value

The documentation for this struct was generated from the following file:

- include/sdbus-c++/TypeTraits.h